## org.eclipse.jet.core.parser.ast
Class JETASTParser

    java.lang.Object
      org.eclipse.jet.core.parser.ast.JETASTParser

All Implemented Interfaces:
  IJETParser

    public final class JETASTParser

extends java.lang.Object
implements IJETParser

Parser for creating JET ASTs

Since:
  0.8.0

Nested Class Summary
`static class` `JETASTParser.Builder` Builder for JETAST Parser

Method Summary
`java.lang.Object` `parse(char[] template)` Parse contents as a JET template
`java.lang.Object` `parse(java.lang.String templatePath)` Parse the named input template

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public java.lang.Object parse(java.lang.String templatePath)

  Description copied from interface: `IJETParser`
  Parse the named input template

  Specified by:
    `parse` in interface `IJETParser`
  Parameters:
    `templatePath` - the template Path
  Returns:
    the root of the AST

### parse

    public java.lang.Object parse(char[] template)

  Description copied from interface: `IJETParser`
  Parse contents as a JET template

  Specified by:
    `parse` in interface `IJETParser`
  Parameters:
    `template` - the template
  Returns:
    the root of the AST

Copyright 2006 IBM Corporation and others. All Rights Reserved.